Subject: Re: bug#23691: 25.0.93; Drive name on windows should be uppercased

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jun 2016 13:13:52 +0300

> Date: Fri, 3 Jun 2016 21:38:07 +0200
> From: Alf Lervåg <[email-masked]>
> Cc: [email-masked]
> 
> I agree.
> 
> Alf Lervåg
> 
> > Den 3. juni 2016 kl. 21:30 skrev Glenn Morris <[email-masked]>:
> > 
> > 
> >> This causes issues when using webpack from eshell, since webpack assumes
> >> that the drive name is in upper case.
> > 
> > It seems to me that the actual issue is with Node.js, not Emacs.
> > 
> > https://github.com/nodejs/node/issues/6624

Emacs on Windows always downcased the drive letter, and I see no
reason to change that long-standing behavior now.  Packages that
support Windows should work with upper- and lower-case drive letters
alike; if they don't, please submit bug reports to the respective
maintainers.